__gnu_parallel::__replace_if_selector< _It, _Op, _Tp >(3cxx)

NAME
__gnu_parallel::__replace_if_selector< _It, _Op, _Tp > - std::replace() selector.

SYNOPSIS

#include <for_each_selectors.h>

Inherits __gnu_parallel::__generic_for_each_selector< _It >.

  Public Member Functions

__replace_if_selector (const _Tp &__new_val)
Constructor.
bool operator() (_Op &__o, _It __i)
Functor execution.

  Public Attributes

const _Tp & __new_val
Value to replace with.
_It _M_finish_iterator
_Iterator on last element processed; needed for some algorithms (e. g. std::transform()).

Detailed Description

  template<typename _It, typename _Op, typename _Tp>
struct __gnu_parallel::__replace_if_selector< _It, _Op, _Tp >"std::replace() selector.

Constructor & Destructor Documentation

  template<typename _It, typename _Op, typename _Tp> __gnu_parallel::__replace_if_selector< _It, _Op, _Tp >::__replace_if_selector (const _Tp & __new_val) [inline], [explicit]

Constructor.

Parameters
    __new_val Value to replace with.

References __new_val.

Member Function Documentation

  template<typename _It, typename _Op, typename _Tp> bool __gnu_parallel::__replace_if_selector< _It, _Op, _Tp >::operator() (_Op & __o, _It __i) [inline]

Functor execution.

Parameters
    __o Operator.
    __i iterator referencing object.

References __new_val.

Member Data Documentation

  template<typename _It, typename _Op, typename _Tp> const _Tp& __gnu_parallel::__replace_if_selector< _It, _Op, _Tp >::__new_val

Value to replace with.

Referenced by __replace_if_selector(), and operator()().

  template<typename _It> _It __gnu_parallel::__generic_for_each_selector< _It >::_M_finish_iterator [inherited]

_Iterator on last element processed; needed for some algorithms (e. g. std::transform()).

Author

Generated automatically by Doxygen for libstdc++ from the source code.